Skip to main content

List Storage Integrations (V2)

This operation lists bucket storage integrations in a project. It returns public storage integration statuses only.

GET/v2/storageIntegrations
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
projectIdstringqueryrequired

The ID of the project.

Example Value: proj-xxxxxxxxxxxxxxxxxxxxxx
currentPageintegerquery

The current page number.

Example Value: 1
pageSizeintegerquery

The number of records to include in each response.

Example Value: 10
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/storageIntegrations?projectId=proj-xxxxxxxxxxxxxxxxxxxxxx" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Responses200 - application/json

A success response.

codeinteger

Response code.

Example Value: 0
dataobject
storageIntegrationsarray

The current page of storage integration summaries.

[]storageIntegrationsobject
integrationIdstring

The ID of the storage integration.

namestring

The name of the storage integration.

statusstring

The public status of the storage integration.

messagestring

The status message. This field is empty when there is no message.

regionIdstring

The ID of the region.

bucketNamestring

The bucket, container, or storage name.

countinteger

The total number of visible storage integrations after filtering.

currentPageinteger

The current page number.

pageSizeinteger

The page size.

A failure response.

codeinteger

Response code.

Example Value: 1800
messagestring

Error message.

Example Value: User hasn't authenticated
{
"code": 0,
"data": {
"storageIntegrations": [
{
"integrationId": "integ-xxxxxxxxxxxxxxxxxxx",
"name": "analytics-s3",
"status": "ACTIVE",
"message": "",
"regionId": "aws-us-west-2",
"bucketName": "my-bucket"
}
],
"count": 1,
"currentPage": 1,
"pageSize": 10
}
}
{
"code": 1800,
"message": "User hasn't authenticated"
}